Linked by Thom Holwerda on Sat 26th Mar 2011 02:00 UTC
Mac OS X When you run smbd -V on your Snow Leopard installation, you'll see it's running SAMBA version 3.0.28a-apple. While I'm not sure how much difference the "-apple" makes, version 3.0.28a is old. Very old. In other words, it's riddled with bugs. Apple hasn't updated SAMBA in 3 years, and for Lion, they're dumping it altogether for something homegrown. The reason? SAMBA is now GPLv3.
Thread beginning with comment 467969
To view parent comment, click here.
To read all comments associated with this story, please click here.
RE: Small correction(this time fully correct)
by oiaohm on Sat 26th Mar 2011 11:51 UTC in reply to "Small correction"
oiaohm
Member since:
2009-05-30

"SMB2 support is coming in SAMBA 4"
Actually, it's coming in 3.6. Look at their git repository.

EDIT: http://git.samba.org/?p=samba.git;a=blob_plain;f=WHATSNEW.txt;hb=HE...


Not correct. Closer but not correct. http://samba.org/samba/history/samba-3.5.0.html 3.5.0 almost a year ago included the start of SMB2. 3.6.0 is to include production ready SMB2.

Also there is more going on here than there seams as well. 3.5.0 is the start of migrations of working Samba 4.0.0 techs out to production usage.

3.5.0 is the start off of https://wiki.samba.org/index.php/Franky Yes a merge between Samba 4 and Samba 3 lines.

End result will be something strange but interesting. An server that supports all the best of both. So yes Samba SMB2 coming in Samba 4 is kinda true. But completely misses the fact of Franky that sees Samba 4 and Samba 3 lines merge. Starting at 3.5.0 so 3.6.0 will be more Samba 4 features mixed with the old Samba 3 line.

Reply Parent Score: 2